curl --request GET \
--url https://api.swarmd.ai/tenant-auth/v1/identity-providers \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "MICROSOFT_ENTRA",
"alias": "<string>",
"displayName": "<string>",
"enabled": true,
"config": {
"type": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"groupMappings": {},
"emailDomains": [
"<string>"
],
"redirectUri": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | IDENTITY_PROVIDERS | READ | IDENTITY_PROVIDERS:READ |
curl --request GET \
--url https://api.swarmd.ai/tenant-auth/v1/identity-providers \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "MICROSOFT_ENTRA",
"alias": "<string>",
"displayName": "<string>",
"enabled": true,
"config": {
"type": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"groupMappings": {},
"emailDomains": [
"<string>"
],
"redirectUri": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Documentation Index
Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
Use this file to discover all available pages before exploring further.
JWT token (USER, AGENT, or SERVICE auth)
OK
MICROSOFT_ENTRA, GOOGLE_WORKSPACE, OKTA Show child attributes
Show child attributes